SmartMemory
POST
/memory/procedures/candidates/{cluster_id}/promote

Promote a candidate cluster to a stored procedure.

Creates a new procedural memory item from the candidate cluster's representative content and metadata.

Path Parameters

cluster_id*Cluster Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for promoting a candidate to a procedure.

Response Body

application/json

application/json

curl -X POST "https://example.com/memory/procedures/candidates/string/promote" \  -H "Content-Type: application/json" \  -d '{}'
{
  "status": "success",
  "procedure_id": "string",
  "name": "string",
  "items_promoted": 0,
  "items_removed": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}